# Uses of Enum Class
java.lang.module.ModuleDescriptor.Exports.Modifier

Packages that use ModuleDescriptor.Exports.Modifier
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ModuleDescriptor.Exports.Modifier in java.lang.module

Subclasses with type arguments of type ModuleDescriptor.Exports.Modifier in java.lang.module
Modifier and Type
Class
Description
`static enum`
`ModuleDescriptor.Exports.Modifier`
A modifier on an exported package.
Methods in java.lang.module that return ModuleDescriptor.Exports.Modifier
Modifier and Type
Method
Description
`static ModuleDescriptor.Exports.Modifier`
ModuleDescriptor.Exports.Modifier.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ModuleDescriptor.Exports.Modifier[]`
ModuleDescriptor.Exports.Modifier.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.lang.module that return types with arguments of type ModuleDescriptor.Exports.Modifier
Modifier and Type
Method
Description
`Set<ModuleDescriptor.Exports.Modifier>`
ModuleDescriptor.Exports.`modifiers()`
Returns the set of modifiers.
Method parameters in java.lang.module with type arguments of type ModuleDescriptor.Exports.Modifier
Modifier and Type
Method
Description
`ModuleDescriptor.Builder`
ModuleDescriptor.Builder.`exports(Set<ModuleDescriptor.Exports.Modifier> ms, String pn)`
Adds an exported package with the given (and possibly empty) set of modifiers.
`ModuleDescriptor.Builder`
ModuleDescriptor.Builder.`exports(Set<ModuleDescriptor.Exports.Modifier> ms, String pn, Set<String> targets)`
Adds an exported package with the given (and possibly empty) set of modifiers.